Loading...
Searching...
No Matches
cyaml_schema_field Struct Reference

`#include <cyaml.h>`

Collaboration diagram for cyaml_schema_field:
[legend]

## Data Fields

const char * | key
uint32_t | data_offset
uint32_t | count_offset
uint8_t | count_size
struct cyaml_schema_value | value

## Detailed Description

Schema definition entry for mapping fields.

YAML mappings are key:value pairs. CYAML only supports scalar mapping keys, i.e. the keys must be strings. Each mapping field schema contains a cyaml_schema_value to define field's value.

The schema for mappings is composed of an array of entries of this data structure. It specifies the name of the key, and the type of the value. It also specifies the offset into the data at which value data should be placed. The array is terminated by an entry with a NULL key.

## Field Documentation

## count_offset

uint32_t cyaml_schema_field::count_offset

CYAML_SEQUENCE only: Offset to sequence entry count member in mapping's data structure.

## count_size

uint8_t cyaml_schema_field::count_size

CYAML_SEQUENCE only: Size in bytes of sequence entry count member in mapping's data structure.

## data_offset

uint32_t cyaml_schema_field::data_offset

Offset in data structure at which the value for this key should be placed / read from.

## key

const char* cyaml_schema_field::key

String for YAML mapping key that his schema entry describes, or NULL to indicated the end of an array of cyaml_schema_field entries.

## value

struct cyaml_schema_value cyaml_schema_field::value

Defines the schema for the mapping field's value.

The documentation for this struct was generated from the following file:

- include/cyaml/cyaml.h